Skip to main content
GET
Get OCR tasks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Query Parameters

order
enum<string>
default:asc

Sort order (ascending by default). Typically used together with the sort parameter.

Available options:
asc,
desc
limit
integer
default:100

The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.

Required range: 1 <= x <= 100
pagination_token
string

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sort
enum<string>

The field to sort the results by. Typically used together with the order parameter.

Available options:
id,
created_at
created_at__gt
string<date-time>

Return only ocr tasks created after the specified date and time. The value must be in the ISO 8601 format YYYY-MM-DDThh:mm[:ss[.ffffff]][Z|±hh:mm].

created_at__lt
string<date-time>

Return only ocr tasks created in Monite before the specified date and time.

created_at__gte
string<date-time>

Return only ocr tasks created on or after the specified date and time.

created_at__lte
string<date-time>

Return only ocr tasks created before or on the specified date and time.

status
enum<string>

Return only ocr tasks that have the specified status.

Available options:
processing,
success,
error
document_type
enum<string>

Return only OCR tasks related to documents of a specific type.

Available options:
invoice,
credit_note,
receipt
source
enum<string>

Return only OCR tasks created by the specified source (internal or external).

Available options:
internal,
external
id__in
string<uuid>[]

Return only ocr tasks with specified IDs. Valid but nonexistent IDs do not raise errors but produce no results.

To specify multiple IDs, repeat this parameter for each value: id__in=<id1>&id__in=<id2>

Response

Successful Response

A paginated list of ocr requests.

data
object[]
required
next_pagination_token
string

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you've reached the last page).

prev_pagination_token
string

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you've reached the first page).